pchmidi
Prev | Orchestra Opcodes and Operators | Next

## pchmidi

pchmidi — Get the note number of the current MIDI event, expressed in pitch-class units.

## Description

Get the note number of the current MIDI event, expressed in pitch-class units.

## Syntax

    ipch pchmidi

## Performance

Get the note number of the current MIDI event, expressed in pitch-class units for local processing.

## Examples

Here is an example of the pchmidi opcode. It uses the file pchmidi.csd.

Example 316. Example of the pchmidi opcode.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    ; Audio out   Audio in   No messages  MIDI in
    -odac           -iadc     -d         -M0  ;;;RT audio I/O with MIDI in
    ; For Non-realtime ouput leave only the line below:
    ; -o pchmidi.wav -W ;;; for file output any platform
    </CsOptions>
    <CsInstruments>

    ; Initialize the global variables.
    sr = 44100
    kr = 4410
    ksmps = 10
    nchnls = 1

    ; Instrument #1.
    instr 1
      ; This example expects MIDI note inputs on channel 1
      i1 pchmidi

      print i1
    endin

    </CsInstruments>
    <CsScore>

    ;Dummy f-table to give time for real-time MIDI events
    f 0 8000
    e

    </CsScore>
    </CsoundSynthesizer>

## See Also

aftouch, ampmidi, cpsmidi, cpsmidib, midictrl, notnum, octmidi, octmidib, pchbend, pchmidib, veloc

## Credits

Author: Barry L. Vercoe - Mike Berry
MIT - Mills
May 1997

Example written by Kevin Conder.

Prev | Up | Next
pchbend | Home | pchmidib